await seam.clientSessions.list({
client_session_id: "a083ce0f-8b03-4081-ac9a-1ad2ce6aaabc",
});
/*
[
{
"client_session_id": "a083ce0f-8b03-4081-ac9a-1ad2ce6aaabc",
"connect_webview_ids": [
"e0f522d4-a7b6-4f65-ba90-11cde67a893a"
],
"connected_account_ids": [
"c35ecf64-474a-466a-95a6-7b35cb4c8bb4"
],
"created_at": "2025-06-15T16:54:17.946309Z",
"customer_id": "e387e15f-be27-47ad-881f-4a6fc5460c57",
"device_count": 1,
"expires_at": "2025-06-18T06:10:42.000Z",
"token": "seam_cst1891oqCmD_6dBwV8PJ2Fsoe9dWYVyMfVHq",
"user_identifier_key": "jane_doe",
"user_identity_id": "b4ce8233-3b35-4d2d-82ec-d48513684f0a",
"workspace_id": "b887bf84-9849-4454-a562-cf84293d9781"
}
]
*/{
"client_sessions": [
{
"client_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connect_webview_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"connected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"device_count": 123,
"expires_at": "2023-11-07T05:31:56Z",
"token": "<string>",
"user_identifier_key": "<string>",
"user_identity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_key": "<string>",
"user_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Client Sessions
List Client Sessions
Returns a list of all client sessions.
GET
/
client_sessions
/
list
await seam.clientSessions.list({
client_session_id: "a083ce0f-8b03-4081-ac9a-1ad2ce6aaabc",
});
/*
[
{
"client_session_id": "a083ce0f-8b03-4081-ac9a-1ad2ce6aaabc",
"connect_webview_ids": [
"e0f522d4-a7b6-4f65-ba90-11cde67a893a"
],
"connected_account_ids": [
"c35ecf64-474a-466a-95a6-7b35cb4c8bb4"
],
"created_at": "2025-06-15T16:54:17.946309Z",
"customer_id": "e387e15f-be27-47ad-881f-4a6fc5460c57",
"device_count": 1,
"expires_at": "2025-06-18T06:10:42.000Z",
"token": "seam_cst1891oqCmD_6dBwV8PJ2Fsoe9dWYVyMfVHq",
"user_identifier_key": "jane_doe",
"user_identity_id": "b4ce8233-3b35-4d2d-82ec-d48513684f0a",
"workspace_id": "b887bf84-9849-4454-a562-cf84293d9781"
}
]
*/{
"client_sessions": [
{
"client_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connect_webview_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"connected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"device_count": 123,
"expires_at": "2023-11-07T05:31:56Z",
"token": "<string>",
"user_identifier_key": "<string>",
"user_identity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_key": "<string>",
"user_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Authorizations
api_keypat_with_workspaceconsole_session_with_workspace
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the client session that you want to retrieve.
Minimum string length:
1Your user ID for the user by which you want to filter client sessions.
Minimum string length:
1ID of the Connect Webview for which you want to retrieve client sessions. Specify null to retrieve client sessions that are not associated with a Connect Webview.
Indicates whether to retrieve only client sessions without associated user identifier keys.
ID of the user identity for which you want to retrieve client sessions. Specify null to retrieve client sessions that are not associated with a user identity.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?